Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.IndexManager.Job

    Object
       |
       +--jala.IndexManager.Job

class jala.IndexManager.Job

Instances of this class represent a single index manipulation job to be processed by the index manager.
Defined in IndexManager.js
See:

- jala.IndexManager.Job

Field Summary
`Object` | `callback` The data needed to process this job.
`Date` | `createtime` The date and time at which this job was created.
`Number` | `errors` An internal error counter which is increased whenever processing the job failed.
`Number` | `type` The type of the job
`<static> <final> Number` | `ADD` Constant defining an add job
`<static> <final> Number` | `OPTIMIZE` Constant defining an optimizing job
`<static> <final> Number` | `REMOVE` Constant defining a removal job

Constructor Summary
`jala.IndexManager.Job (<Number> type, callback)` Creates a new Job instance.

Field Detail

### callback

    Object callback

The data needed to process this job. For adding jobs this property must contain the helma.Search.Document instance to add to the index. For removal job this property must contain the unique identifier of the document that should be removed from the index. For optimizing jobs this property is null.

### createtime

    Date createtime

The date and time at which this job was created.

### errors

    Number errors

An internal error counter which is increased whenever processing the job failed.

### type

    Number type

The type of the job

### ADD

    <static> <final> Number ADD

Constant defining an add job

See Also:
  Constant Field Values

### OPTIMIZE

    <static> <final> Number OPTIMIZE

Constant defining an optimizing job

See Also:
  Constant Field Values

### REMOVE

    <static> <final> Number REMOVE

Constant defining a removal job

See Also:
  Constant Field Values

Constructor Detail

### jala.IndexManager.Job

    jala.IndexManager.Job(<Number> type, callback)

Creates a new Job instance.

Parameters:

`type` - The type of job, which can be either jala.IndexManager.Job.ADD, jala.IndexManager.Job.REMOVE or jala.IndexManager.Job.OPTIMIZE.

`id` - The Id of the job

`data` - The data needed to process the job.

Returns:

A newly created Job instance.

See:

- jala.IndexManager.Job

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008